@import url('https://fonts.googleapis.com/css?family=Muli:wght@400;700&display=swap');
*{
    margin:0;
    padding:0;
    box-sizing: border-box;
    font-family: 'Muli', sans-serif;
}
body{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: linear-gradient(45deg, #fbda61,#ff5acd);
}
.card{
    position: relative;
    width:350px;
    height: 190px; 
    background: #fff;
    border-radius: 20px;
    box-shadow: 0 35px 80px rgba(0,0,0,0.15);
    transition: 0.5s;
}
.card:hover{
    height: 450px;
}
.imgBx{
    position: absolute;
    left:50%;
    /* top:-50%; */
    top:-10%;
    transform: translateX(-50%);
    width:150px;
    height: 150px;
    background: #fff;
    border-radius: 20px;
    box-shadow: 0 15px 50px rgba(0,0,0,0.35);
    overflow:hidden;
    transition: 0.5s;
}
.card:hover .imgBx{
    width:250px;
    height: 250px;
    /* top:-25%; */
}
.imgBx img{
    position: absolute;
    top:0;
    left:0;
    width:100%;
    height: 100%;
    /* to fit image in the box */
    object-fit: cover;
}
.card .content{
    position: absolute;
    width:100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: flex-end;
    /* to hide the overflow information in non-hover condition */
    overflow:hidden;
}
.card .content .details{
    padding:40px;
    text-align: center;
    width:100%;
    transition: 0.5s;
    /* to separate the text and image in unhover condition */
    transform: translateY(150px);
}
/* to display informations again */
.card:hover .content .details{
    transform:translateY(0px);
}
.card .content .details h2{
    font-size: 1.25em;
    font-weight: 600;
    color:#555;
    line-height:1.2em;
}
.card .content .details h2 span{
    font-size: 0.75em;
    font-weight: 500;
    opacity: 0.5;
}
.card .content .details .data{
    display: flex;
    justify-content: space-between;
    margin:20px 0;
}
.card .content .details .data h3{
    font-size: 1em;
    color:#555;
    line-height: 1.2em;
    font-weight: 600;
}
.card .content .details .data h3 span{
    font-size:0.85em;
    font-weight: 400;
    opacity: 0.5s;
}
.card .content .details .actionBtn{
    display: flex;
    justify-content: space-between;
    gap:20px;
}
.card .content .details .actionBtn button{
    padding:10px 30px;
    border-radius: 5px;
    border:none;
    outline:none;
    font-size:1em;
    font-weight: 500;
    background:#ff5f95;
    color:#fff;
    cursor:pointer;
}
.card .content .details .actionBtn button:nth-child(2){
    border:1px solid #999;
    color:#999;
    background:#fff;

}